/*
Licensed Materials - Property of IBM
5725-C95
(C) Copyright IBM Corporation 2012. All Rights Reserved.
US Government Users Restricted Rights- Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

// Contains all public constants

define([], function() {
				
	// Contains all the constants that are available for coach view (stock controls, customer views etc)
	var BPM_CONSTANTS = {
		
		// visibility
		VISIBILITY_DEFAULT:		"DEFAULT",
		VISIBILITY_REQUIRED:	"REQUIRED",
		VISIBILITY_EDITABLE:	"EDITABLE",
		VISIBILITY_READONLY:	"READONLY",
		VISIBILITY_NONE:		"NONE",
		VISIBILITY_HIDDEN:		"HIDDEN",

		VISIBILITY_SCRIPT_EVENT_TYPE_INIT:		"initialize",
		VISIBILITY_SCRIPT_EVENT_TYPE_CHANGE:	"change",

		// validation event
		VALIDATION_EVENT_TYPE_ERROR:	"error",
		VALIDATION_EVENT_TYPE_CLEAR:	"clear",
		
		// boundary event status
		BOUNDARY_EVENT_STATUS_EXECUTED:		"executed",
		BOUNDARY_EVENT_STATUS_UNQUALIFIED:	"unqualified",
		BOUNDARY_EVENT_STATUS_CANCELLED:		"cancelled",
		BOUNDARY_EVENT_STATUS_ABANDONED:		"abandoned"
		
	};
	
	return BPM_CONSTANTS;
});
	