
// An object to store the titlebar information
function TitleBarObj(hasPrev, hasNext, startFolder, endFolder, totalFolder, overdueFolder, prevStart, nextStart) {
 this.hasPrev = hasPrev;
 this.hasNext = hasNext;
 this.startFolder = startFolder;
 this.endFolder = endFolder;
 this.totalFolder = totalFolder;
 this.overdueFolder = overdueFolder;
 this.prevStart = prevStart;
 this.nextStart = nextStart;
}

function SelectCurrentRow()
{
    var id = getCurrentTaskId();
    var obj = eval("document.getElementById(\"" + id + "\")");
    if (obj == null) {
// Comment this out for now. If the first row is selected when you page, the read date
// of the first task will be set and assigned to you which is not what you may want
//      body      = document.getElementsByTagName("body").item(0);
//      table     = body.getElementsByTagName("table").item(0);
//      tableBody = table.getElementsByTagName("tbody").item(0);
//      row       = tableBody.getElementsByTagName("tr").item(0);
//      SelectRow(row.getAttribute("id"), "");
      setCookie("taskid", "-1");
	DisplayDetails(-1, false);
    } else
      SelectRow(id, "");
}

function HighlightRow(rowNumber)
{
 var targetRow = eval( "document.getElementById(\"" + rowNumber + "\")");
 targetRow.bgColor = "#FFFFC0";
}

function UnHighlightRow(rowNumber)
{
 var targetRow = eval( "document.getElementById(\"" + rowNumber + "\")");
 targetRow.bgColor = "white";
}

function SelectRow(rowID, taskAction, hasProcess)
{
 if (rowID != "") {
   // If the selected row hasn't changed then leave now. This prevents an
   // unneeded reload of unchanged info if the start button on a selected
   // tasklist row is pressed.
   if (selectedRow == rowID)
     return;
   // unhighlight the previously selected row, if any
   if (selectedRow != "undefined")
     UnHighlightRow(selectedRow);
   // highlight selected row
   HighlightRow(rowID);
   selectedRow = rowID;
 } else
   rowID = -1;

 // Store the currently selected taskid for later reference
 setCookie("taskid", rowID);

 // We need to check whether this task has been read or not and if not
 // lets refresh the task list so that the status icons change appropriately
 // A task action = "", 1, 3 or 5 means no need to refresh
 // We need to let the task details screen refresh the task list because in this way
 // we know that the task in the DB has been updated with the correct read date
 var refreshTaskList = true;
 if ((taskAction == "") || (taskAction == "1") || (taskAction == "3") || (taskAction == "5") || hasProcess) refreshTaskList = false;

 // Display details for this task
 DisplayDetails(rowID, refreshTaskList);
}

function DisplayDetails(rowID, refreshTaskList)
{
 var screen = getCookie("screen");
 if ((screen == "") || (screen == null)) screen = "detail";
 if (refreshTaskList)
  // Tell the task details screen to refresh the task list again so that the icon change is reflected. If you can
  // think of a better way to do this then by all means change it....
  parent.details.location.href = "tm_task_" + screen + ".lsw?zRefreshTaskList=1&zTaskId=" + rowID;
 else
  parent.details.location.href = "tm_task_" + screen + ".lsw?zTaskId=" + rowID;
}
