var toolbar_doDelete_confirm="Do you really want to delete this task?";
var toolbar_doLogout_confirm="Do you really want to logout of this session?";
var toolbar_doFavorite_windowTitle="Activity";

var toolbar_image_new_alt="New";
var toolbar_image_reply_alt="Reply";
var toolbar_image_forward_alt="Forward";
var toolbar_image_mkspl_alt="Make Special";
var toolbar_image_mkcurr_alt="Make Current";
var toolbar_image_close_alt="Close";
var toolbar_image_del_alt="Delete";
		
function refreshFrames() {
 parent.tasklist.location.reload();
 parent.folder_tree.location.reload();
}

function doDelete(id) {
 if (confirm(toolbar_doDelete_confirm))
  parent.loader.location.href='loader.lsw?zObject=Task&zActivity=Delete&zPost=1&zTaskId=' + id;
}

function doLogout(id) {
 if (confirm(toolbar_doLogout_confirm))
  parent.location.href='tm_logout.lsw?zObject=Session&zActivity=Logout&zPost=1';
}

function doFavorite(fav) {
 if (fav.value != -1) {
     var value = fav.value;
     fav.selectedIndex = 0;
     window.open('process.lsw?zObject=Favorite&zActivity=Execute&zPost=1&zFromPage=tm_toolbar.lsw&zFavId=' + value,toolbar_doFavorite_windowTitle,'height=560,width=650,scrollbars=yes,resizable');
 }
}

function initialUpCase(s) {
  return s.charAt(0).toUpperCase() + s.substring(1);
}

// allowed - boolean - whether or not the action is allowed
// name - string - The name of the image object. Used to form the ids for the image
//   and link objects. Also used to produce alt tag.
// imageNamePrefix - string - The prefix used to form the name of the image.
// url - string/function - url that is launched when the link is clicked. zTaskId is
//   appended to the url if it ends with ? or &. If url ends in () it is treaded as 
//   a function that is called passing the task id as the only parameter
// title - string - title of popup window
function configureAction (taskId, allowed, name, imageNamePrefix, altname, url, title) {
  // name is the name of the action, e.g. forward or reply, so
  // the lines below look for forwardImage or replyLink etc.
  var image = document.getElementById(name + "Image");
  var link = document.getElementById(name + "Link");

  var imageNameBase = imagePrefix + "images/" + imageNamePrefix;
  if (allowed) {
    image.src = imageNameBase + ".gif";
    image.alt = initialUpCase(altname);
    if (url.substring(url.length - 2) == "()") {
      link.onclick =      
        new Function(url.substring(0, url.length - 2) + "(" + taskId + ")");
    } else {
      var lastChar = url.charAt(url.length - 1);
      if ((lastChar == "?") || (lastChar == "&")) {
         url = url + "zTaskId=" + taskId;
      }
      if (typeof title == "undefined") {
        // used to be "location.href='" "parent.loader.location.href='"
        link.onclick =
          new Function("parent.loader.location.href='" +
                       url +
                      "'; return false");
      } else {
        link.onclick =
          new Function("window.open('" +
                       url +
                       "', '" +
                       title +
                       "', 'width=640,height=400,scrollbars=yes,resizable=0'); return false");
      }
    }
    var imageReference = "document.getElementById(\"" + name + "Image\").src";
    link.onmouseout =
      new Function(imageReference + " = \"" + imageNameBase + ".gif\";");
    link.onmouseover =
      new Function(imageReference + " = \"" + imageNameBase + "_over.gif\";");
    link.onmouseup =
      new Function(imageReference + " = \"" + imageNameBase + "_over.gif\";");
    link.onmousedown =
      new Function(imageReference + " = \"" + imageNameBase + "_click.gif\";");
  } else {
    image.src = imageNameBase + "_disable.gif";
    image.alt = initialUpCase(altname);
    link.onclick =
      new Function("return false");
    link.onmouseout = "";
    link.onmouseover = "";
    link.onmouseup = "";
    link.onmousedown = "";
  }
}

function configureButtons (taskStatus) {
  if (taskStatus.allowsNew)
    configureAction(taskStatus.taskId, true, "new", "new",toolbar_image_new_alt,  "tm_new_task.lsw?zRand=10&clearAttachments=1", "newtask");

  if (taskStatus.allowsReply)
    configureAction(taskStatus.taskId, true, "reply", "reply", toolbar_image_reply_alt, "tm_reply_task.lsw?", "rpltask");
  else
    configureAction(taskStatus.taskId, false, "reply", "reply",toolbar_image_reply_alt);

  if (taskStatus.allowsForward)
    configureAction(taskStatus.taskId, true, "forward", "fw", toolbar_image_forward_alt, "tm_forward_task.lsw?", "fwdtask");
  else
    configureAction(taskStatus.taskId, false, "forward", "fw", toolbar_image_forward_alt);

  if (taskStatus.folderDisplaySpecial) {
    if (taskStatus.allowsSpecial)
      configureAction(taskStatus.taskId, true, "currspec", "mkspl", toolbar_image_mkspl_alt, "loader.lsw?zObject=Task&zActivity=Special&zPost=1&");
    else
      configureAction(taskStatus.taskId, false, "currspec", "mkspl", toolbar_image_mkspl_alt);
  } else {
    if (taskStatus.allowsCurrent) 
      configureAction(taskStatus.taskId, true, "currspec", "mkcurr", toolbar_image_mkcurr_alt, "loader.lsw?zObject=Task&zActivity=Current&zPost=1&");
    else
      configureAction(taskStatus.taskId, false, "currspec", "mkcurr", toolbar_image_mkcurr_alt);
  }

  if (taskStatus.folderDisplayClose) {
     if (taskStatus.allowsClose)
       configureAction(taskStatus.taskId, true, "clodel", "close", toolbar_image_close_alt, "loader.lsw?zObject=Task&zActivity=Close&zPost=1&");
     else
       configureAction(taskStatus.taskId, false, "clodel", "close", toolbar_image_close_alt);
  } else {
     if (taskStatus.allowsDelete)
       configureAction(taskStatus.taskId, true, "clodel", "del", toolbar_image_del_alt, "doDelete()");
     else
       configureAction(taskStatus.taskId, false, "clodel", "del", toolbar_image_del_alt);
  }
}

