function pressButton(activity, buttonId) {
  var obj = document.forms[0];
  obj.method = "post";
  obj.action = document.forms[0].action;
  obj.zActivity.value = activity;
  obj.zButtonId.value = buttonId
  obj.submit();
}
function submitForm(activity) {
  _submitForm("post", document.forms[0].action, activity);
}
function submitGetForm(activity) {
  _submitForm("get", document.forms[0].action, activity);
}
function submitFormTo(act, activity) {
  _submitForm("post", act, activity);
}
function submitGetFormTo(act, activity) {
  _submitForm("get", act, activity);
}
function _submitForm(meth, act, activity) {
  var obj = document.forms[0];
  obj.method = meth;
  obj.action = act;
  obj.zActivity.value = activity;
  obj.submit();
}
function searchFor(url, field) {
  var target = url + '?zResultField=' + field;
  var newWindow = window.open(target, "SearchPage", "status,width=400,height=300");
}
function returnValueOk(targetField, val) {
  var target = eval('opener.document.forms[0].' + targetField)
  target.value = val
  window.close()
  return 1
}
function returnValueCancel() {
  window.close()
  return 1
}

// name - name of the cookie
// value - value of the cookie
// [expires] - expiration date of the cookie (defaults to end of current session)
// [path] - path for which the cookie is valid (defaults to path of calling document)
// [domain] - domain for which the cookie is valid (defaults to domain of calling document)
// [secure] - Boolean value indicating if the cookie transmission requires a secure transmission
// * an argument defaults when it is assigned null as a placeholder
// * a null placeholder is not required for trailing omitted arguments
function setCookie(name, value, expires, path, domain, secure) {
  var curCookie = name + "=" + escape(value) +
      ((expires) ? "; expires=" + expires.toGMTString() : "") +
      ((path) ? "; path=" + path : "") + 
      ((domain) ? "; domain=" + domain : "") +
      ((secure) ? "; secure" : "");
  document.cookie = curCookie;
}

// name - name of the desired cookie
// * return string containing value of specified cookie or null if cookie does not exist
function getCookie(name) {
  var dc = document.cookie;
  var prefix = name + "=";
  var begin = dc.indexOf("; " + prefix);
  if (begin == -1) {
    begin = dc.indexOf(prefix);
    if (begin != 0) return null;
  } else
    begin += 2;
  var end = document.cookie.indexOf(";", begin);
  if (end == -1)
    end = dc.length;
  return unescape(dc.substring(begin + prefix.length, end));
}

// name - name of the cookie
// [path] - path of the cookie (must be same as path used to create cookie)
// [domain] - domain of the cookie (must be same as domain used to create cookie)
// * path and domain default if assigned null or omitted if no explicit argument proceeds
function deleteCookie(name, path, domain) {
  if (getCookie(name)) {
    document.cookie = name + "=" +
    ((path) ? "; path=" + path : "") +
    ((domain) ? "; domain=" + domain : "") +
    "; expires=Thu, 01-Jan-70 00:00:01 GMT";
  }
}

// Our object for a cookie
function Cookie(key, value) {
  this.key = key;
  this.value = value;
}

// Return an array of Cookie objects
function getCookieList() {

  cookies = new Array();

  var dc = document.cookie;
  if (dc != "") {
    var ca = dc.split(';');
    for(var i = 0; i < ca.length; i++) {
      var c = ca[i];
      // Remove prepadded spaces
      while (c.charAt(0)==' ') c = c.substring(1,c.length);
      var key = c;
      var value = "";
      var pos = c.indexOf("=");
      if (pos > -1) {
        key = c.substring(0, pos);
        value = unescape(c.substring(pos + 1));
      }
      cookies[i] = new Cookie(key,value);
    }
  }
  return cookies;
}

// Return the current task id selected, -1 if none is selected
function getCurrentTaskId() {
  var taskid = getCookie("taskid");
  if (taskid == null) taskid = -1;

  return(taskid);
}

function zoomNarrative() {
  window.open('tm_zoom_narrative.lsw','tasknarrative','height=420,width=647,scrollbars=auto,resizable');
}

function doSelectUserWin(curList) {
  var extra = "";
  if ((curList != null) && (curList != "")) extra = "?zCurSendTo=" + escape(curList);
  window.open('tm_select_user.lsw' + extra,'selectuserwindow','height=390,width=760,scrollbars=auto,resizable');
}

   var coachb;
   var timer;
   var timers = 0;
   var doProcessingTimer = null;
   
   function ptimer() {
   	  var m = document.getElementById("processing");
   	  var s = "Processing";
   	  for (var i = 0 ; i < timers ; i++)
   	  	s += " . "
   	  	
   	  if (m != undefined) {
   	    m.innerHTML = "<DIV Class='busy'>" + s + "</DIV>"
   	  }
   	  if (++timers > 10)
   	  	timers = 0;
   }
   
   function disableAllButtons() {
        var inputs = document.body.getElementsByTagName("INPUT");

        var i;

        for (i = 0 ; i < inputs.length ; i++ ) {       
            inputs[i].disabled = true;
        }

        var buttons = document.body.getElementsByTagName("BUTTON");

        for (i = 0 ; i < buttons.length ; i++ ) {       
            buttons[i].disabled = true;
        }

   }
   
   function doProcessing() {
      if (doProcessingTimer != null) {
        clearInterval(doProcessingTimer);
	doProcessingTimer = null;
      }


      disableAllButtons();
   
      coachb = document.getElementById("coachbody");
      myTimer = setInterval("ptimer()" , 200);
   
      if (coachb != null) {
         coachb.innerHTML = "<table border='0' cellpadding='0' cellspacing='0' width='100%' height='200'>" +
         "<tr><td width='11%'>&nbsp;</td><td id='processing' width='89%'><DIV Class='busy'>Processing</DIV></td></tr></table>";
      } else {
         // Do nothing no coachbody just ignore this
      }
   }


var enabled = true;
function inProcess() {

	if(enabled) {
		enabled = false;
                doProcessingTimer = setInterval("doProcessing()", 5);
                return false;
	} else {
		alert('Lombardi transaction in progress. Please wait.');
        return true;
	}
}

/**
 * Finds error message DIV.
 * For compatibility both ids are checked.
 */
function findErrorMessageElement() {
  var err = document.getElementById("ErrorMsg");
  if (!err) {
     err = document.getElementById("coachErrorMsg");
  }
  return err;
}


// Clears the error message in a HTML form dynamically. The <DIV> enclosing the error must have
// an id of ErrorMsg
function clearErrorMsg() {

  // Find the error object. The error object must have an id of ErrorMsg
  var err = findErrorMessageElement();
  if (err != null) {
    if (err.hasChildNodes()) {
      var count = err.childNodes.length;
      for(var i = 0; i < count; i++)
        // Always remove the first node as the
        // list is getting shorter as nodes are removed
        err.removeChild(err.childNodes[0]);
    }
  }
}

// Clear any existing error message and replace it with the message passed in.
// The <DIV> enclosing the error must have an id of ErrorMsg.
function setErrorMsg(theMessage) {
  
  clearErrorMsg();
  appendErrorMsg(theMessage);
}

// Append an error message in an HTML form dynamically. The <DIV> enclosing the error must have
// an id of ErrorMsg
function appendErrorMsg(theMessage) {

  var err = findErrorMessageElement();
  if (err != null) {
      var message_lines = theMessage.split("\n");
      for (var i = 0; i < message_lines.length; ++i) {
          if (i != 0) {
              err.appendChild(document.createElement("br"));
          }
          err.appendChild(document.createTextNode(message_lines[i]));
      }
  }
}

var MONTH_NAMES=new Array('January','February','March','April','May','June','July','August','September','October','November','December','Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
function LZ(x) {return(x<0||x>9?"":"0")+x}
// ------------------------------------------------------------------
// formatADate (date_object, format)
// Returns a date in the output format specified.
// The format string uses the same abbreviations as in getDateFromFormat()
// ------------------------------------------------------------------
function formatADate(aDate,format) {
	format=format+"";
	var result="";
	var i_format=0;
	var c="";
	var token="";
	var y=aDate.getYear()+"";
	var M=aDate.getMonth()+1;
	var d=aDate.getDate();
	var H=aDate.getHours();
	var m=aDate.getMinutes();
	var s=aDate.getSeconds();
	var yyyy,yy,MMM,MM,dd,hh,h,mm,ss,ampm,HH,H,KK,K,kk,k;
	// Convert real date parts into formatted versions
	var value=new Object();
	if (y.length < 4) {y=""+(y-0+1900);}
	value["y"]=""+y;
	value["yyyy"]=y;
	value["yy"]=y.substring(2,4);
	value["M"]=M;
	value["MM"]=LZ(M);
	value["MMM"]=MONTH_NAMES[M-1];
	value["d"]=d;
	value["dd"]=LZ(d);
	value["H"]=H;
	value["HH"]=LZ(H);
	if (H==0){value["h"]=12;}
	else if (H>12){value["h"]=H-12;}
	else {value["h"]=H;}
	value["hh"]=LZ(value["h"]);
	if (H>11){value["K"]=H-12;} else {value["K"]=H;}
	value["k"]=H+1;
	value["KK"]=LZ(value["K"]);
	value["kk"]=LZ(value["k"]);
	if (H > 11) { value["a"]="PM"; }
	else { value["a"]="AM"; }
	value["m"]=m;
	value["mm"]=LZ(m);
	value["s"]=s;
	value["ss"]=LZ(s);
	while (i_format < format.length) {
		c=format.charAt(i_format);
		token="";
		while ((format.charAt(i_format)==c) && (i_format < format.length)) {
			token += format.charAt(i_format++);
			}
		if (value[token] != null) { result=result + value[token]; }
		else { result=result + token; }
		}
	return result;
}

 function doPrint() {
     coachbody.style.overflow = "visible";
     window.print();
     coachbody.style.overflow = "auto";
 }

//
// Dummy report functions. Avoid getting errors when report pages are loaded outside of
// report details.
//
// Override these in your code for the wanted effects..

function addUserFilter(label, html) {
    // Adds a user filter to the report
}

function drilldownClick(label, serie, data) {
    // used to intercept drilldowns for advanced effects.
    // See report_detail.jsp for details
    return true;
}

function addExportData(csvtable) {
    // Adds export data in CSV format
}

function addToTitleBar(html, align) {
    // Adds a navigation button on the navigation bar of the report
}

function trim(sString) {
  if (sString == "") return;
  
  while (sString.substring(0, 1) == ' ') {
    sString = sString.substring(1, sString.length);
  }
  
  while (sString.substring(sString.length - 1, sString.length) == ' ') {
    sString = sString.substring(0, sString.length - 1);
  }
  
  return sString;
}

/**
 * Inserts event handler before or after base event handler
 *  (that has been be attached using attribute).
 * @param obj object aor its ID
 * @param eventType string name of event handler ('onclick', 'onblur', etc)
 * @param handler function with apropriate prototype ( for example, function btnOnClick(event) { return smt; } )
 */
function addEventHandler(obj, eventType, handler) {
    if(typeof obj == "string") {
        var widget = undefined;
        if(dijit.byId != undefined) {
            widget = dijit.byId(obj);
        }
        if (widget && widget.declaredClass == 'DateTimePicker') {
            widget.addEventHandler(eventType, handler);
            return;
        } else {
            obj = document.getElementById(obj);
        }
    }  
    if (obj == null || obj == undefined) {
      return;
    }
    var oldHandler = obj[eventType];
    // All handlers are called with 'this' set to event.srcElement for support
    // behaviour of anonymous code like this <input onclick="alert(this.value)" />
    // If we use default 'this', it will point to 'window' object and break aforementioned code.

    // It can only be done via using closures
    var newHandler = function(event) {
        if(document.all && window.event) {
            event = window.event;
        }
        var result = _callEventHandlerAsElementMethod(obj, handler, event);
        if(oldHandler) {
            result = _callEventHandlerAsElementMethod(obj, oldHandler, event);
        }
        return result;
    };
    obj[eventType] = newHandler;
}

/**
 * Calls function with 'this' set into obj pathing 'arg' as argument.
 * @param obj object (usually some html node: div, input, etc)
 * @param func function with one argument (event handler)
 * @param arg single argument (event object)
 * @return result of calling function 'func'
 * It is internal method.
 */
function _callEventHandlerAsElementMethod(obj, func, arg) {
  var key = "$com.lombardi.tempmethod$";
  obj[key] = func;
  var res = obj[key] (arg);
  obj[key] = null; // TODO: I'm a little hesitating is it safe during nested calls..., but I think it is safe
  return res;
}
